import { EventEmitter, OnInit } from "@angular/core";
import { DialogConfig } from '../../../../ui-kit/dialog/dialog-config';
import { DialogRef } from '../../../../ui-kit/dialog/dialog-ref';
import { SnackBarService } from "../../../../ui-kit/snack-bar/snack-bar.service";
import { EditorConfig } from 'vcomply-editor';
import { ResultCriteriaService } from "../../services/result-criteria.service";
import * as i0 from "@angular/core";
export declare class AssessmentSettingsComponent implements OnInit {
    config: DialogConfig;
    dialog: DialogRef;
    private criteriaService;
    private snackbar;
    showSegment: any;
    hideSegmentPopup: any;
    editSegmentPopup: any;
    showResponse: any;
    closeSegmentPopup(): void;
    openSegmentPopup(): void;
    editSegment(): void;
    clickSegment(): void;
    clickMode(): void;
    clickResponse(): void;
    showMode: any;
    description: EditorConfig;
    action: EventEmitter<any>;
    forAnimation: boolean;
    editorService: any;
    constructor(config: DialogConfig, dialog: DialogRef, criteriaService: ResultCriteriaService, snackbar: SnackBarService);
    settingsJSON: {
        assessmentMode: boolean;
        defaultScore: number;
        negativeScoreCriteria: string;
        negativeScore: number;
        weightageEnabled: boolean;
    };
    settingsData: any;
    activeSettingType: string;
    ngOnInit(): void;
    closePanel(evt?: any): void;
    manipulateDefault(mode: any): void;
    manipulateNegativeScore(mode: any): void;
    executeAction(evt: any): void;
    setActiveType(type: any, index: any): void;
    enableStateChanged(e: any, type: any): void;
    save(evt: any, index: any): void;
    cancel(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AssessmentSettingsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AssessmentSettingsComponent, "app-assessment-settings", never, {}, { "action": "action"; }, never, never, false, never>;
}
